template_email = """<html>
<head>
    <title>[Value] Forecast Report - [Business Unit]</title>
</head>
<body>
    <div style="text-align: center;">
        <h2>[Value] Forecast Report</h1>
        <h3>Business Unit: [Business Unit]</h2>
    </div>

    <h4>1. Executive Summary:</h3>
    <p>The purpose of this report is to present the [value] forecasts for the [Business Unit] Unit for the upcoming fiscal year. This forecast is based on a thorough analysis of historical data, market trends, and strategic initiatives. The [Value] forecast aims to provide valuable insights into the expected financial performance of the [Business Unit] Unit and assist in making informed business decisions.</p>

    <h4>2. Historical Performance:</h3>
    <h5>2.1. [Value] Analysis:</h4>
    <p>[Results Analysis]</p>

    <h5>2.2. Growth Drivers and Constraints:</h4>
    <p>[Drivers Analysis]</p>

    <div style="text-align: center;
              width: 150px;
              margin: auto;
              background-color: #3B99FC;
              color: white;
              text-decoration: none;
              padding: 10px;
              border-radius: 4px;">
        <a href="[Historical Dashboard]" style="color: white; text-decoration: none;">See historical dashboard</a>
    </div>
    
    <h4>3. [Value] Forecast:</h3>
    <h5>3.1. Forecast Methodology:</h4>
    <p>The revenue forecast for the [Business Unit] Unit is based on a comprehensive analysis of historical performance, market trends, and internal growth initiatives. This forecast combines quantitative techniques, including trend analysis, regression modeling, and market sizing, with qualitative inputs from subject matter experts, customer feedback, and competitive intelligence.</p>

    <h5>3.2. [Value] Projections:</h4>
    <p>[Value Projection]</p>

    <h5>3.3. Assumptions and Risks:</h4>
    <p>[Drivers Assumptions]</p>

    <div style="text-align: center;
              width: 150px;
              margin: auto;
              background-color: #3B99FC;
              color: white;
              text-decoration: none;
              padding: 10px;
              border-radius: 4px;">
        <a href="[Forecast Dashboard]" style="color: white; text-decoration: none;">See forecast dashboard</a>
    </div>

    <h4>4. Conclusion:</h3>
    <p>[Conclusion]</p>

    <p>We believe that this revenue forecast report will serve as a valuable tool for strategic decision-making and financial planning within the [Business Unit]. If you require any further clarification or additional information, please do not hesitate to reach out.</p>

    <p>Thank you for your attention.</p>

    <p>Sincerely,</p>
    <p>FP&A Analyst</p>
</body>
</html>"""