## Responsible AI Disclaimer

This application will greatly accelerate the work of Financial Analysts in providing contextualized analysis on financial performance and forecasts. However, humans should still be kept in the loop at all times, and checks should be performed to ensure the proposed commentary is fully aligned with internal company perspectives.
Other recommendations for the responsible use of a LLM to generate financial forecasting comments:

-   The Financial Forecasting project should be audited to ensure it is making predictions free of bias --- Dataiku makes this simple with [explainable AI features](https://www.dataiku.com/product/key-capabilities/explainability/).
-   The organization should have an [overarching Responsible AI policy](https://discover.dataiku.com/responsible-ai/), and it should be enforced with both the Financial Forecasting project as well as its LLM-personalized content generation extension.
-   Any answers provided by the LLM should be clearly labeled as AI-generated, and users should be aware they're interacting with an AI system.
-   Limitations of the model should be documented and users should be reminded to use their professional judgment when interpreting the AI-generated answers.
-   Ensure that sensitive data remains private per architecture recommendations.
-   Regularly check that unauthorized users can not access sensitive data using the model or that the data is not unintentionally leaked to users who do not have the rights to see them.
-   Outputs should be routinely reviewed for accuracy and relevancy.
-   A feedback mechanism should be available for users to flag incorrect or unclear information.